kind: pipeline
name: default

platform:
  os: linux
  arch: amd64

clone:
  disable: true

steps:
- name: hg
  pull: default
  image: plugins/hg

- name: flake8
  pull: always
  image: alpine/flake8
  commands:
  - flake8

- name: isort
  pull: always
  image: xcgd/isort:odoo
  commands:
  - isort -c -df

- name: docker
  pull: default
  image: plugins/docker
  settings:
    dockerfile: Dockerfile.docker_build_copy
    repo: xcgd/odoo_scripts-docker_build_copy
    tag: latest
  environment:
    DOCKER_PASSWORD:
      from_secret: docker_password
    DOCKER_USERNAME:
      from_secret: docker_username

- name: mattermost
  pull: default
  image: plugins/slack
  settings:
    channel: dev
    username: drone
  environment:
    SLACK_WEBHOOK:
      from_secret: slack_webhook
  when:
    status:
    - failure
    - success
